import { LeagueSettingsViewData } from '@/lib/view-data/leagues/LeagueSettingsViewData';
import { LeagueSettingsApiDto } from '@/lib/types/tbd/LeagueSettingsApiDto';

export class LeagueSettingsViewDataBuilder {
  static build(apiDto: LeagueSettingsApiDto): LeagueSettingsViewData {
    return {
      leagueId: apiDto.leagueId,
      league: apiDto.league,
      config: apiDto.config,
    };
  }
}